using System;
using System.Collections.Generic;
using System.Text;

namespace AI2
{
    enum Membership
    {
        Added,
        Invited,
        Joined
    }
    
    enum MemberType
    {
        Owner,
        Viewer
    }

    [Serializable]
    class GroupUserStatus
    {
        public AccountStatus accountStatus;
        public Membership membership;
        public MemberType role;
        public string groupGuid;
        public string userGuid;
        public string email;
    }

    [Serializable]
    public class Group
    {
        public string guid;
        public string name;
    }
}
