using System;
using System.Collections.Generic;
using System.Text;

namespace AI2
{
    public enum UserStatus
    {
        Offline,
        Online
    }

    public enum AccountStatus
    {
        Added,
        Invited,
        Joined
    }

    [Serializable]
    class UserGroupStatus
    {
        public Membership membership;
        public MemberType role;
        public string userGuid;
        public string groupGuid;
    }

    [Serializable]
    public class User
    {
        public string guid;
        public string email;
        public string password;
        public UserStatus status;
        public AccountStatus account;
    }

    [Serializable]
    class Buddy
    {
        public string guid;
        public AccountStatus type;
        public string email;
    }
}
